Redmine - Defect #11025

Email sent from bad user
2012-05-25 13:29 - William Piedfort

Status: Closed Start date:

Priority: Urgent Due date:

Assignee: William Piedfort % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce Affected version: 2.0.0

Description

When you have many users in a project and these users have their own emails (different company, so different domains) : the
sender taken for a notification email is not the email central adress set by admin in Redmine platform but :

the 1st user (sorted by ID) of the project or sub-project !

so on Postfix, the email send is rejected and in /var/log/error you get at posting the notification , or "reject: RCPT from [your
machine]<1st user of the subproject@externaldomain.com>: Relay access denied; from .. "

this is blocking.

History

#1 - 2012-05-25 18:57 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Have you done any change or local plugins? Because in the core, the "From" header is always the email adress entered in settings.

#2 - 2012-05-27 17:29 - William Piedfort

try to reproduce email with other account to be placed on first place : 1wp
in defect #11031

#3 - 2012-05-27 17:55 - William Piedfort
- Assignee set to William Piedfort

Answer to JFL : | did not install any plugins nor any changes made.

#4 - 2012-05-29 15:52 - William Piedfort

- Assignee deleted (William Piedfort)

| test my email with telnet commands : this is right.

The test in Redmine config runs also with me@my Redmine-domain.

The fact is that your Redmine application is sending a mail with "RCPT TO" equal to the email of the person assigned.
(when | look in the /var/log/syslog ou mail : error message :

: 554 5.7.1 <person assigned>: Relay access denied; from=<me@my Redmine-domain> to=...

This says that <person assigneds is trying to place a "reply to" command in Postfix with his adress and so it is forbidden, no matter a normal config.

Did you changed something in the emails since the 2.0.0 release ?
thanks for yur feedback.

#5 - 2012-05-30 10:16 - William Piedfort
- Status changed from New to Resolved

- Assignee set to William Piedfort

The solution is :
under Postfix
mailto:subproject@externaldomain.com

to say in /etc/postfix/main.cf
relay_domains = <the domain of the persons assigned>

#6 - 2013-01-25 21:34 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

closing, resolved since 8 months
